package Apache::ACL;

use Data::Dumper;
use strict;
use Apache::Constants ':common';

$Apache::ACL::VERSION = '0.001';

sub handler {
  my $r = shift;
  my $c = $r->connection;
  my $remote_ip = $c->remote_ip;
  if($remote_ip !~ /^192/) {
	return FORBIDDEN;
  }
  else {
	return OK;
  }
}



=head1 NAME

Apache::ACL - mod_perl IP access authentication module

=head1 SYNOPSIS

httpd.conf:

   # load the module
   PerlTransHandler Apache::ACL
   # the database dsn (driver:database[:host=host:[port]])
   PerlSetVar        DB_dsn       mysql:authen
   PerlSetVar        DB_user      scip
   PerlSetVar        DB_pass      blah
 </Location>


=head1 DESCRIPTION


=head1 AUTHOR

Thomas Linden <tom@daemon.de>


=head1 COPYRIGHT

Copyright (c) 2000 Thomas Linden

This library is free software; you can redistribute it and/or
modify it under the same terms as Perl itself.


=cut

